=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libkf5widgetsaddons-dev (>= 5.55.0~),
                libkf5windowsystem-dev (>= 5.55.0~),
                libkf5xmlgui-dev (>= 5.55.0~),
-               libktorrent-dev (>= 21.12.3~),
+               libktorrent-dev (>= 22.08.1~),
                libmms-dev,
                libqca-qt5-2-dev (>= 2.1.0~),
                libsqlite3-dev,
