## kget 22.12.1

=== debian/changelog ===
kget (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Update build-deps and deps with the info from cmake.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:01:02 +0100

kget (4:22.12.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Update lintian override info format in d/source/lintian-overrides on line 1.
  * Update standards version to 4.6.2, no changes needed.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * The web interface was dropped, so there is no more need for the .js files:
    - stop symlinking .js files in libjs-mootools to /usr/share/kget
    - drop the libjs-mootools dependency
    - drop the associated lintian overrides
  * Remove the unused build dependencies: libkf5kdelibs4support-dev, and
    libkf5service-dev.
  * Drop the removals of the translations of the unbuilt Plasma bits, as those
    Plasma bits were dropped.
  * Drop the unused ${perl:Depends} substvar.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Dec 2022 14:01:44 +0100

kget (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * Drop patch minified_file, not needed anymore.
  * New upstream release (22.12.0).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:29 +0100

kget (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update standards version to 4.6.0, no changes needed.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Mar 2022 11:28:39 +0100

kget (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:12:21 +0900

kget (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 18:43:37 +0900
