=== transfer-plugins/mmsthreads/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 install(FILES kget_mmsfactory.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
 
 ###Build KCM-Module
-add_library(kcm_kget_mmsfactory MODULE)
+kcoreaddons_add_plugin(kcm_kget_mmsfactory INSTALL_NAMESPACE "kget_kcms")
 
 target_sources(kcm_kget_mmsfactory PRIVATE
   dlgmms.cpp
@@ -32,6 +32,3 @@
 )
 kconfig_add_kcfg_files(kcm_kget_mmsfactory mmssettings.kcfgc)
 target_link_libraries(kcm_kget_mmsfactory KF5::I18n KF5::ConfigWidgets)
-install(TARGETS kcm_kget_mmsfactory DESTINATION ${KDE_INSTALL_PLUGINDIR})
-
-install(FILES kget_mmsfactory_config.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
