## kget 23.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,16 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "21")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kget VERSION ${RELEASE_SERVICE_VERSION})
 
 set(REQUIRED_QT_VERSION "5.15.0")
-set(KF5_VERSION "5.83.0")
+set(KF5_VERSION "5.91.0")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
 
@@ -19,14 +20,17 @@
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 
+include(ECMAddAppIcon)
 include(ECMInstallIcons)
 include(ECMAddTests)
 include(ECMQtDeclareLoggingCategory)
 include(ECMSetupVersion)
 include(ECMSetupQtPluginMacroNames)
 include(GenerateExportHeader)
-
-find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED CONFIG COMPONENTS
+include(KDEClangFormat)
+include(KDEGitCommitHooks)
+
+find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED CONFIG COMPONENTS
     DBus
     Gui
     Network
@@ -52,13 +56,11 @@
     Notifications
     NotifyConfig
     Parts
-    Service
     TextWidgets
     Wallet
     WidgetsAddons
     WindowSystem
     XmlGui
-    KDELibs4Support # KLocale
 )
 
 #include(CheckIncludeFile)
@@ -74,15 +76,15 @@
    set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
 endif()
 
-find_package(Sqlite)
-set_package_properties(Sqlite PROPERTIES
+find_package(SQLite3)
+set_package_properties(SQLite3 PROPERTIES
     DESCRIPTION "SQLite is a Binary-Database"
     TYPE RECOMMENDED
     PURPOSE "Needed for the SQLite-Backend of the KGet-History"
 )
 
-find_package(Qca-qt5 2.1.0)
-set_package_properties(Qca-qt5 PROPERTIES
+find_package(Qca-qt${QT_MAJOR_VERSION} 2.1.0)
+set_package_properties(Qca-qt${QT_MAJOR_VERSION} PROPERTIES
     DESCRIPTION "Support for encryption"
     URL "https://download.kde.org/stable/qca-qt5/"
     TYPE REQUIRED
@@ -114,7 +116,7 @@
      add_definitions(-DDEBUG)
 endif()
 
-if (Qca-qt5_FOUND)
+if (Qca-qt${QT_MAJOR_VERSION}_FOUND)
     add_definitions(-DHAVE_QCA2)
 MESSAGE(STATUS "QCA found")
 endif()
@@ -122,7 +124,11 @@
 find_package(Boost REQUIRED)
 
 if(Gpgmepp_FOUND)
-    find_package(QGpgme REQUIRED)
+    if (QT_MAJOR_VERSION STREQUAL "6")
+        find_package(QGpgmeQt6 ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
+    else()
+        find_package(QGpgme ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
+    endif()
     add_definitions(-DHAVE_QGPGME)
 endif()
 
@@ -143,10 +149,8 @@
 add_subdirectory(core)
 add_subdirectory(ui)
 add_subdirectory(transfer-plugins)
-add_subdirectory(extensions)
 add_subdirectory(sounds)
 add_subdirectory(desktop)
-#add_subdirectory(plasma) TODO PORT TO KF5/QML
 add_subdirectory(tests)
 add_subdirectory(doc)
 
@@ -164,7 +168,7 @@
     ${CMAKE_CURRENT_BINARY_DIR}/core/
 )
 
-if(SQLITE_FOUND)
+if(SQLite3_FOUND)
     add_definitions(-DHAVE_SQLITE)
 endif()
 
@@ -242,17 +246,18 @@
     KF5::CoreAddons
     KF5::DBusAddons
     KF5::I18n
+    KF5::I18nLocaleData
     KF5::IconThemes
     KF5::KIOCore
     KF5::KIOWidgets
     KF5::Notifications
-    KF5::Service
     KF5::XmlGui
     Qt::Core
     Qt::Widgets
     Qt::Sql
     Qt::Network
     Qt::DBus
+    Boost::headers
 )
 
 if(LibKWorkspace_FOUND)
@@ -263,8 +268,8 @@
     target_link_libraries(kgetcore ${QT_QTSQL_LIBRARY})
 endif()
 
-if (Qca-qt5_FOUND)
-    target_link_libraries(kgetcore qca-qt5)
+if (Qca-qt${QT_MAJOR_VERSION}_FOUND)
+    target_link_libraries(kgetcore qca-qt${QT_MAJOR_VERSION})
 endif ()
 
 if (Gpgmepp_FOUND)
@@ -361,7 +366,8 @@
     ui/signaturedlg.ui
 )
 
-#kde4_add_app_icon(kget_SRCS "ui/icons/hi*-apps-kget.png")
+file(GLOB ICON_SRCS "ui/icons/*-apps-kget.png")
+ecm_add_app_icon(kget ICONS ${ICON_SRCS})
 
 target_link_libraries(kget
     kgetcore
@@ -371,12 +377,10 @@
     KF5::I18n
     KF5::Completion
     KF5::CoreAddons
-    KF5::IconThemes
     KF5::ItemViews
     KF5::KCMUtils
     KF5::NotifyConfig
     KF5::WindowSystem
-    KF5::KDELibs4Support
     Qt::Core
     Qt::Widgets
     Qt::Sql
@@ -390,8 +394,12 @@
     target_link_libraries(kget Qt::Test)
 endif()
 
-if (QGpgme_FOUND)
-    target_link_libraries(kget QGpgme)
+if (Gpgmepp_FOUND)
+    if (QT_MAJOR_VERSION STREQUAL "6")
+        target_link_libraries(kget QGpgmeQt6)
+    else()
+        target_link_libraries(kget QGpgme)
+    endif()
 endif()
 
 install(TARGETS kget ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
@@ -403,8 +411,12 @@
 )
 install(FILES org.kde.kget.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
+# add clang-format target for all our real source files
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+
+ki18n_install(po)
+kdoctools_install(po)
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()
