=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kget
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -31,7 +32,7 @@
                libkf5widgetsaddons-dev (>= 5.91.0~),
                libkf5windowsystem-dev (>= 5.91.0~),
                libkf5xmlgui-dev (>= 5.91.0~),
-               libktorrent-dev (>= 21.07.70~),
+               libktorrent-dev (>= 23.08.0~),
                libmms-dev,
                libqca-qt5-2-dev (>= 2.1.0~),
                libsqlite3-dev,
@@ -41,14 +42,14 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/kget
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kget
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kget.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kget
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kget
 
 Package: kget
 Section: net
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Suggests: khelpcenter,
+Suggests: khelpcenter
 Description: download manager
  KGet is an advanced download manager with support for Metalink and Bittorrent.
  Downloads are added to the list, where they can be paused, queued, or
