=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                libkf5widgetsaddons-dev (>= 5.91.0~),
                libkf5windowsystem-dev (>= 5.91.0~),
                libkf5xmlgui-dev (>= 5.91.0~),
-               libktorrent-dev (>= 23.08.0~),
+               libktorrent-dev (>= 23.08.1~),
                libmms-dev,
                libqca-qt5-2-dev (>= 2.1.0~),
                libsqlite3-dev,
